<?php
header('Access-Control-Allow-Origin: *');
header(
    'Access-Control-Allow-Methods: HEAD, GET, POST, PUT, PATCH, DELETE, OPTIONS'
);
header(
    'Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization'
);
header('Content-Type: application/json');
$shortDescription = "";
include '../../../../config/db.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'));
    if (
        !empty($data->title) &&
        !empty($data->slug) &&
        !empty($data->category) &&
        !empty($data->subcategory) &&
        !empty($data->price) &&
        !empty($data->description)
    ) {
        $title = mysqli_real_escape_string($con, $data->title);
        $slug = mysqli_real_escape_string($con, $data->slug);
        $category = mysqli_real_escape_string($con, $data->category);
        $subcategory = mysqli_real_escape_string($con, $data->subcategory);
        $price = mysqli_real_escape_string($con, $data->price);
        $description = mysqli_real_escape_string($con, $data->description);
        $shortDescription = mysqli_real_escape_string($con, $data->shortDescription);

        // $dateTime = date('Y-m-d H:i:s');
        $isExistQuery = "SELECT * FROM Services WHERE slug = '$slug' ";
        $isExistResult = mysqli_query($con, $isExistQuery);
        if (mysqli_num_rows($isExistResult) == 0) {
            $query = "INSERT INTO Services (title, slug, category, subcategory, price,shortDescription, description, status, dateCreated, dateModified)
            VALUES ('" . $title . "', '" . $slug . "', '" . $category . "', '" . $subcategory . "', '" . $price . "','".$shortDescription."', '" . $description . "', '1', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP)";
            if (mysqli_query($con, $query)) {
                if (mysqli_affected_rows($con) == 1) {
                    echo json_encode([
                        'status' => 1,
                        'message' => 'Data added successfully.',
                    ]);
                    http_response_code(200);
                } else {
                    echo json_encode([
                        'status' => 0,
                        'message' => 'Could not insert data.',
                    ]);
                    http_response_code(200);
                }
            } else {
                echo json_encode([
                    'status' => 0,
                    'message' => mysqli_error($con),
                ]);
                http_response_code(200);
            }
        } else {
            echo json_encode([
                'status' => -2,
                'message' => 'Data already exists',
            ]);
            http_response_code(200);
        }
    } else {
        echo json_encode([
            'status' => -1,
            'message' => 'Required fields are missing',
        ]);
        http_response_code(200);
    }
} else {
    echo json_encode([
        'status' => 0,
    ]);
    die();
}

?>